com.sun.jna.platform.win32

## Class WinCrypt.CERT_STRONG_SIGN_SERIALIZED_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_STRONG_SIGN_SERIALIZED_INFO

- Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"dwFlags","pwszCNGSignHashAlgids","pwszCNGPubKeyMinBitLengths"})
      public static class WinCrypt.CERT_STRONG_SIGN_SERIALIZED_INFO
      extends Structure

  Contains the signature algorithm/hash algorithm and public key algorithm/bit length pairs that can be used for strong signing. This structure is used by the CERT_STRONG_SIGN_PARA structure.
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CERT_STRONG_SIGN_SERIALIZED_INFO.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dwFlags`
    `java.lang.String` | `pwszCNGPubKeyMinBitLengths`
    `java.lang.String` | `pwszCNGSignHashAlgids`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CERT_STRONG_SIGN_SERIALIZED_INFO()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwFlags

          public int dwFlags

    - #### pwszCNGSignHashAlgids

          public java.lang.String pwszCNGSignHashAlgids

    - #### pwszCNGPubKeyMinBitLengths

          public java.lang.String pwszCNGPubKeyMinBitLengths

  - ### Constructor Detail

    - #### CERT_STRONG_SIGN_SERIALIZED_INFO

          public CERT_STRONG_SIGN_SERIALIZED_INFO()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.